> ## Documentation Index
> Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new company.

> If griddid is provided and not registered, it will be used as the company's griddid. if mode is dry, it will run the validation but not save the data.



## OpenAPI

````yaml /connect-api/openapi.json post /api/company/register
openapi: 3.0.0
info:
  title: GNet Connect API
  version: 1.0.0
  description: API for the GNet Connect platform
servers:
  - url: https://core.grdd.dev
    description: Development server
  - url: https://core.grdd.net
    description: Production server
security: []
paths:
  /api/company/register:
    post:
      tags:
        - company
      summary: Register a new company.
      description: >-
        If griddid is provided and not registered, it will be used as the
        company's griddid. if mode is dry, it will run the validation but not
        save the data.
      operationId: register_company
      requestBody:
        description: Company registration data
        required: true
        content:
          application/json:
            examples:
              User:
                summary: Register a new company
                description: Register a new company
                value:
                  name: name
                  griddid: griddid
                  mainEmail: mainEmail
                  password: password
                  confirmPassword: confirmPassword
                  mainPhone: mainPhone
                  notes: notes
                  address: address
                  mode: dry
                  coType: IO
      responses:
        '200':
          description: Success

````